<head>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" 
    href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" 
    integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" 
    crossorigin="anonymous">
</head>


<div class="container">
    
<h1>Login Form</h1>

<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm.value)" novalidate>
   
    <div style="width: 250px;">
        <div class="input-group">
            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
            <input type="text" class="form-control" name="emailId"  #emailId="ngModel" ngModel required minlength="2" maxlength="40"/>
        </div> <br/>
          
        <div class="input-group">
            <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
            <input type="password" class="form-control" name="password" #password="ngModel" ngModel required minlength="2" maxlength="20" />
        </div> <br/>
           
        <button class="btn btn-primary" [disabled]="!loginForm.valid"> Login </button>
        New User? <a routerLink="//register" >SignUp</a>
        
    </div>

    <div>
        <div *ngIf="emailId.errors?.['required'] && emailId.touched"   style="color:red;">Please Enter EmailId</div>
        <div *ngIf="password.errors?.['required'] && password.touched" style="color:red;">Please Enter Password</div>
    
        <div *ngIf="emailId.errors?.['minlength'] && emailId.touched"   style="color:red;">Please Enter atleast 2 Characters for EmailId</div>
        <div *ngIf="password.errors?.['minlength'] && password.touched" style="color:red;">Please Enter atleast 2 Characters for Password</div>
    </div>

</form>

</div>


<!--
Enter EmailId:  <input type="text"     name="emailId"  [(ngModel)]="emailId"  /> <br/>
Enter Password: <input type="password" name="password" [(ngModel)]="password"  /> <br/>
<button (click)="submit()"> Login </button>
-->
